#ifdef __BORLANDC__
  #pragma argsused
#endif
#include <iostream.h>
#include <math.h>
class wektor

{public:
 wektor() {};
 wektor(int a,int b) {x=a;y=b;}
 wektor operator+(wektor);
 float operator&();
 wyswietl() {cout<<"x="<<x<<"\n"<<"y="<<y<<"\n";}
 private:
 int x,y;
};
wektor wektor::operator+(wektor w)
{return wektor(x+w.x,y+w.y);}

float wektor::operator&()
{return sqrt(x*x+y*y);}

int main( int argc, char * argv[] )
{
  wektor wektor1(2,3);
  wektor wektor2(3,4);
  wektor wektor3;
  wektor3=wektor1+wektor2;
  cout<<"wektor1"<<"\n";
  wektor1.wyswietl();
  cout<<"wektor2"<<"\n";
  wektor2.wyswietl();
  cout<<"wektor1+wektor2"<<"\n";
  wektor3.wyswietl();
  cout<<"|wektor1+wektor2|"<<"\n";
  cout<<&wektor3<<"\n";
  cout<<wektor3.operator&();
  return 0;
}
